org.fourthline.cling.support.model

## Class DIDLObject.Property.PropertyPersonWithRole

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject.Property<PersonWithRole>
  - - org.fourthline.cling.support.model.DIDLObject.Property.PropertyPersonWithRole

- Direct Known Subclasses:
    DIDLObject.Property.UPNP.ACTOR, DIDLObject.Property.UPNP.ARTIST, DIDLObject.Property.UPNP.AUTHOR
  Enclosing class:
    DIDLObject.Property<V>

      public static class DIDLObject.Property.PropertyPersonWithRole
      extends DIDLObject.Property<PersonWithRole>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject.Property

      `DIDLObject.Property.DC, DIDLObject.Property.DLNA, DIDLObject.Property.NAMESPACE, DIDLObject.Property.PropertyPersonWithRole, DIDLObject.Property.SEC, DIDLObject.Property.UPNP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIDLObject.Property.PropertyPersonWithRole()`
    `DIDLObject.Property.PropertyPersonWithRole(PersonWithRole value, String descriptorName)`
    `DIDLObject.Property.PropertyPersonWithRole(String descriptorName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setOnElement(Element element)`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject.Property

      `addAttribute, getAttribute, getDescriptorName, getValue, removeAttribute, removeAttribute, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DIDLObject.Property.PropertyPersonWithRole

          public DIDLObject.Property.PropertyPersonWithRole()

    - #### DIDLObject.Property.PropertyPersonWithRole

          public DIDLObject.Property.PropertyPersonWithRole(String descriptorName)

    - #### DIDLObject.Property.PropertyPersonWithRole

          public DIDLObject.Property.PropertyPersonWithRole(PersonWithRole value,
                                                    String descriptorName)

  - ### Method Detail

    - #### setOnElement

          public void setOnElement(Element element)

      Overrides:
        `setOnElement` in class `DIDLObject.Property<PersonWithRole>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.